Request

Endpoint: !AutoRemoveMDCDomain

https://secure.trust-provider.com/products/!AutoRemoveMDCDomain

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

The following table lists the required and optional parameters.

Parameter Requirement Type Max.Length Description

loginName

required

string

64 chars

The account username.

This value is case sensitive.

loginPassword

required

string

128 chars

The account password.

This value is case sensitive.

orderNumber

required

integer

The order number to remove a domain.

domainName

required

string

255 chars

The fully qualified domain name to be removed.

Sample request

curl --location --globoff 'https://secure.trust-provider.com/products/!AutoRemoveMDCDomain' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'domainName=domain_name'

Response

The request is successful when the server returns a response with the error code 0.

Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.

The response is formatted in x-www-form-urlencoded format.

Response parameters

The response may contain the following parameters:

Parameter Description

errorCode

The numeric code indicating the result of the request. For more information, see Error codes.

errorMessage

A description of the error.

Sample success response

errorCode=0

Sample error response

errorCode=-17&errorMessage=Request used GET rather than POST!

Error codes

The following table outlines error responses returned by the AutoRemoveMDCDomain API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Error Code Error Message Description

-1

Request was not made over https!

The request must use HTTPS protocol.

-2

'xxxx' is an unrecognized argument!

The provided argument is not recognized.

-3

The 'xxxx' argument is missing!

The required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

-14

An unknown error occurred!

An unknown error occurred.

-16

Incorrect login details, account is locked, password has expired or your source IP is blocked.

Authentication has failed due to one of the specified reasons.

-17

Request used GET rather than POST!

The request method should be POST.

-18

Cannot remove domain as the order must contain at least one domain.

The order must contain at least one domain to be removed.